function F = Shimko_CDF(S,K,r,q,T,vol,A0,A1,A2);

v = vol*sqrt(T);
d1 = (log(S/K) + (r-q+0.5*v^2))/v;
d2 = d1 - v;
d1x = -1/K/v + (1-d1/v)*(A1 + 2*A2*K);
d2x = d1x - (A1 + 2*A2*K);
nd2 = pdf('norm',d2,0,1);
Nd2 = cdf('norm',d2,0,1);

F = 1 + K*nd2*(A1 + 2*A2*K) - Nd2;


