function f = Shimko_PDF(S,K,r,q,T,vol,A0,A1,A2);

v = vol*sqrt(T);
d1 = (log(S/K) + (r-q+0.5*v^2))/v;
d2 = d1 - v;
d1x = -1/K/v + (1-d1/v)*(A1+2*A2*K);
d2x = d1x - (A1+2*A2*K);
nd2 = pdf('norm',d2,0,1);

% Note the type in Shimko's paper:
% he excludes the minus sign in front of nd2.

f = -nd2*(d2x - (A1+2*A2*K)*(1-d2*d2x*K) - 2*A2*K);



